Gecode::Search::NoTraceRecorder Class Reference

Empty trace recorder. More...

`#include <trace-recorder.hpp>`

## Classes

class | ID
| Class for storing node identifiers. More...

## Public Member Functions

| NoTraceRecorder (SearchTracer *t)
| Initialize.
void | engine (SearchTracer::EngineType t, unsigned int n)
| Register engine.
void | worker (void)
| Register worker.
unsigned int | wid (void) const
| Return worker id.
unsigned int | nid (void)
| Generate new node id.
void | invalidate (void)
| Invalidate edge information.
SearchTracer::EdgeInfo * | ei (void)
| Provide access to edge information.
void | round (void)
| The workers goes to a next round (restart or next iteration in LDS).
void | skip (const SearchTracer::EdgeInfo &ei)
| The engine skips an edge.
void | node (const SearchTracer::EdgeInfo &ei, const SearchTracer::NodeInfo &ni)
| The engine creates a new node with information ei and ni.
void | done (void)
| The worker is done.
| operator bool (void) const
| Whether this is a real tracer.

## Detailed Description

Empty trace recorder.

Definition at line 107 of file trace-recorder.hpp.

## Constructor & Destructor Documentation

## NoTraceRecorder()

Gecode::Search::NoTraceRecorder::NoTraceRecorder | ( | SearchTracer * | t | ) |

inline

Initialize.

Definition at line 259 of file trace-recorder.hpp.

## Member Function Documentation

## engine()

void Gecode::Search::NoTraceRecorder::engine | ( | SearchTracer::EngineType | t,
|  | unsigned int | n )

inline

Register engine.

Definition at line 262 of file trace-recorder.hpp.

## worker()

void Gecode::Search::NoTraceRecorder::worker | ( | void |  | ) |

inline

Register worker.

Definition at line 265 of file trace-recorder.hpp.

## wid()

unsigned int Gecode::Search::NoTraceRecorder::wid | ( | void |  | ) | const

inline

Return worker id.

Definition at line 268 of file trace-recorder.hpp.

## nid()

unsigned int Gecode::Search::NoTraceRecorder::nid | ( | void |  | ) |

inline

Generate new node id.

Definition at line 273 of file trace-recorder.hpp.

## invalidate()

void Gecode::Search::NoTraceRecorder::invalidate | ( | void |  | ) |

inline

Invalidate edge information.

Definition at line 278 of file trace-recorder.hpp.

## ei()

SearchTracer::EdgeInfo * Gecode::Search::NoTraceRecorder::ei | ( | void |  | ) |

inline

Provide access to edge information.

Definition at line 281 of file trace-recorder.hpp.

## round()

void Gecode::Search::NoTraceRecorder::round | ( | void |  | ) |

inline

The workers goes to a next round (restart or next iteration in LDS).

Definition at line 286 of file trace-recorder.hpp.

## skip()

void Gecode::Search::NoTraceRecorder::skip | ( | const SearchTracer::EdgeInfo & | ei | ) |

inline

The engine skips an edge.

Definition at line 289 of file trace-recorder.hpp.

## node()

void Gecode::Search::NoTraceRecorder::node | ( | const SearchTracer::EdgeInfo & | ei,
|  | const SearchTracer::NodeInfo & | ni )

inline

The engine creates a new node with information ei and ni.

Definition at line 292 of file trace-recorder.hpp.

## done()

void Gecode::Search::NoTraceRecorder::done | ( | void |  | ) |

inline

The worker is done.

Definition at line 297 of file trace-recorder.hpp.

## operator bool()

Gecode::Search::NoTraceRecorder::operator bool | ( | void |  | ) | const

inline

Whether this is a real tracer.

Definition at line 301 of file trace-recorder.hpp.

The documentation for this class was generated from the following file:

- gecode/search/trace-recorder.hpp